<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [Collection](./git-documentdb.collection.md) &gt; [allDocs](./git-documentdb.collection.alldocs.md)

## Collection.allDocs() method

Get all the documents

<b>Signature:</b>

```typescript
allDocs(options?: AllDocsOptions): Promise<AllDocsResult>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [AllDocsOptions](./git-documentdb.alldocsoptions.md) | The options specify how to get documents. |

<b>Returns:</b>

Promise&lt;[AllDocsResult](./git-documentdb.alldocsresult.md)<!-- -->&gt;

## Exceptions

[DatabaseClosingError](./git-documentdb.databaseclosingerror.md)

[RepositoryNotOpenError](./git-documentdb.repositorynotopenerror.md)

[InvalidJsonObjectError](./git-documentdb.invalidjsonobjecterror.md)

## Remarks


